<style>
	.has-error input{
  border: 2px solid red;
}
.has-error select{
 border: 2px solid red;
}
	</style>
<div ng-controller="insureController">
<form name="insurance" ng-submit="insuranceSearchForm(insurance.$valid);" novalidate="novalidate">
<div class="row">
	<div class="form-group col-md-4 pr-0">
		<label>Flying from?</label><span class="red">*</span>
		<div ng-class="{'has-error' :insurance.insurancefrom_place.$invalid && submitted}">
			<div class="input-group">
			<div class="input-group-append">
				<span class="input-group-text" id="basic-addon1"><i class="icon-flights"></i></span>
				</div>
				<!-- <input type="text" name="insurancefrom_place" ng-change="flightfromAutoComplet(fromplace);" id="insurancefrom_place" class="form-control" ng-model="fromplace" placeholder="From" uib-typeahead="state as state.Title for state in states | filter:$viewValue | limitTo:8" required autocomplete="off"/> -->
				<input type="text" placeholder="Enter an airport"  ng-model="searchFlightObjJson.frmAirport" id="from_place_insure" name="from_place_insure" class="form-control" required autofocus/>
			</div>
			</div>
		<div ng-show="insurance.insurancefrom_place.$invalid && submitted" class="cardErr">Enter from</div>
		
		</div>
		<div class="form-group col-md-4 pr-0">
		<label>Where to?</label><span class="red">*</span>
		<div ng-class="{'has-error' :insurance.insuranceto_place.$invalid && submitted}">
			<div class="input-group">
			<div class="input-group-append">
				<span class="input-group-text" id="basic-addon1"><i class="icon-pin"></i></span>
				</div>
				<!-- <input type="text" name="insuranceto_place" id="insuranceto_place" ng-change="flightfromAutoComplet(insurancetoplace);" class="form-control" ng-model="insurancetoplace" placeholder="To"uib-typeahead="state as state.Title for state in states | filter:$viewValue | limitTo:8" required autocomplete="off" /> -->
				<input type="text" id="to_place_insure" required name="to_place_insure" ng-model="searchFlightObjJson.toAirport" class="form-control" placeholder="Enter a destination" />
			</div>
			</div>
		<div ng-show="insurance.insurancefrom_place.$invalid && submitted" class="cardErr">Enter to</div>
		
		</div>
   <div class="form-group col-md-4">
	   
	   <label>For how many people?</label><span class="red">*</span>
        <div class="row">
            <div class="col-md-6 pr-1">
			<div ng-class="{'has-error' :insurance.insuranceAdult.$invalid && submitted}">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1"><i class="fa fa-male" aria-hidden="true"></i></span>
                    </div>
                    <input type="number" class="form-control" min="1" max="30" placeholder="Adult Count" id="insuranceAdult" name="insuranceAdult" ng-model="travelInsurances.adultCount" autocomplete="off"/>
                </div>
				</div>
				<div ng-show="insurance.insuranceAdult.$invalid && submitted" class="cardErr">Select adult</div>
            </div>
            <div class="col-md-6 pl-1">
			<div ng-class="{'has-error' :insurance.insuranceChild.$invalid && submitted}">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1"><i class="fa fa-child" aria-hidden="true"></i></span>
                    </div>
                    <input type="number" class="form-control" min="0" max="15" placeholder="Child Count" id="insuranceChild" name="insuranceChild" ng-model="travelInsurances.childCount"/>
                </div>
				</div>
				<div ng-show="insurance.insuranceChild.$invalid && submitted" class="cardErr">Select child</div>
            </div>
        </div>
    </div>
   
   
</div>
<div class="row">
     <div class="form-group col-md-4">
        <label>When?</label><span class="red">*</span>
        <div class="row">
            <div class="col-md-12 pr-1">
			<div ng-class="{'has-error' :insurance.insurance_date.$invalid && submitted}">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
                    </div>
                    <input type="text" class="form-control" placeholder="Start date" date-range-picker ng-model="insurancedate" id="insurance_date" name="insurance_date" required/>
                </div>
				</div>
				<div ng-show="insurance.insurance_date.$invalid && submitted" class="cardErr">Enter when are you going</div>
            </div>
            
        </div>
    </div>
    <div class="form-group col-md-4">
        <!-- <label>Policy Extras</label>
        <div>
            <div class="form-check form-check-inline">
                <input type="checkbox" id="inlineCheckbox1" value="option1">
                <label for="inlineCheckbox1">Golf Equipment</label>
            </div>
            <div class="form-check form-check-inline">
                <input type="checkbox" id="inlineCheckbox2" value="option2">
                <label for="inlineCheckbox2">Winter Sports</label>
            </div>
        </div> -->
    </div>
    <div class="form-group col-md-4 text-right mt-4">
       <!--  <button type="button" class="btn btn-dark btn-search" ng-disabled="disabled" ng-click="insuranceSearch();"><i class="fa fa-search" aria-hidden="true"></i> Search</button> -->
	    <button type="submit" class="btn btn-dark btn-search" ><i class="fa fa-search" aria-hidden="true"></i> Search</button>
    </div>
	
</div>
</form>
</div>